Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 233032

Summary: Build libxml2 with readline support to enable history in xmllint shell
Product: [Fedora] Fedora Reporter: William Graham <waffle.iron+fedora>
Component: libxml2Assignee: Daniel Veillard <veillard>
Status: CLOSED WORKSFORME QA Contact:
Severity: low Docs Contact:
Priority: medium    
Version: 6CC: pantinor, tim
Target Milestone: ---Keywords: FutureFeature
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-03-20 08:20:55 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description William Graham 2007-03-19 23:06:20 UTC
Description of problem:
I would like to see --with-history added to the configure options for libxml2 so
that there is history support when invoking 'xmllint --shell'.

Comment 1 Daniel Veillard 2007-03-20 08:20:55 UTC
The licence of readline is GPL, and even if only xmllint the program uses it,
I prefer to avoid compiling with it enabled, by default to avoid risk of using
it by mistake in the main library. So unless there is really strong demand for
this I would rather avoid using the GPL'ed library by default, if you have
an LGPL'ed or MIt or BSD like replacement I would be fine using that instead.

Daniel

Comment 2 Tim Landscheidt 2008-04-03 17:43:35 UTC
To add to the strong demand: I'd prefer --with-history as well (and 
a "xmllint --command 'cat /a/b/c' file.xml" option, too, BTW :-)).

  If readline is not an option, have you had time to look at libedit? It is 
shipped with Fedora so there should not be much hassle.

Comment 3 Paolo Antinori 2015-04-07 22:28:25 UTC
I was looking for this some time ago.

Feature is still not there, but I have found a nice workaround based on `socat` that does not require to recompile `xmllint`

```
socat READLINE EXEC:'xmllint --shell pom.xml',pty
```